/*****************************************************************************
 *
 * Europa Firmware Update Utility
 * Copyright 2000-2001, Synthcom Systems, Inc.
 *
 * This module defines all text used by the Europa core code and provides
 * the means to access the defined text.
 *
 *****************************************************************************/

#include "hosttype.h"
#include "etext.h"

// ===========================================================================
// Private Globals
// ===========================================================================

//	NOTE:	English text strings should be limited to approximately 200
//			characters. The Macintosh has a limit of 255 characters for
//			these strings, and languages other than English may require
//			more characters than English.

static ESTRING pu8Text[] =
{
	(ESTRING) "Connect to Europa",
	(ESTRING) "Connecting...",
	(ESTRING) "Delaying...",
	(ESTRING) "Preparing Europa area...",
	(ESTRING) "Update Europa Image",
	(ESTRING) "Updating Europa area...",
	(ESTRING) "Reading updated version #...",
	(ESTRING) "The Europa image in the Jupiter 6 is verified good and the version # matches the update file. Updating with this image file is unnecessary and will change nothing! Update anyway?",

	// DO NOT ALTER THE ORDER OF THESE - THEY ARE EUROPA RESULT/ERROR CODES!
	// INSERT ALL TEXT MESSAGES *BEFORE* THIS!

	(ESTRING) "No error",
	(ESTRING) "Cannot open file",
	(ESTRING) "Update file CRC error",
	(ESTRING) "Update file image corrupt",
	(ESTRING) "Unknown update file version",
	(ESTRING) "Operation canceled",
	(ESTRING) "MIDI Response too long",
	(ESTRING) "MIDI Response timeout",
	(ESTRING) "MIDI Response unknown",
	(ESTRING) "Region erase failure",
	(ESTRING) "Out of memory",
	(ESTRING) "MIDI Reports bad checksum",
	(ESTRING) "MIDI Reports bad length",
	(ESTRING) "MIDI Reports bad checkcode",
	(ESTRING) "MIDI Reports chip programming fault"
};

// ===========================================================================
// EuropaGetText
//
// Get a text string
// ===========================================================================

const ESTRING EuropaGetText (EEuropaStringNum stringNum)
{
	return (pu8Text[stringNum]);
}
